//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.6
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2013.07.24 at 02:53:39 PM CEST
//

package org.openarchives.oai._2;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for verbType.
 * 
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 * <p>
 * 
 * <pre>
 * &lt;simpleType name="verbType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Identify"/>
 *     &lt;enumeration value="ListMetadataFormats"/>
 *     &lt;enumeration value="ListSets"/>
 *     &lt;enumeration value="GetRecord"/>
 *     &lt;enumeration value="ListIdentifiers"/>
 *     &lt;enumeration value="ListRecords"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "verbType")
@XmlEnum
public enum VerbType {

  @XmlEnumValue("Identify")
  IDENTIFY("Identify"),
  @XmlEnumValue("ListMetadataFormats")
  LIST_METADATA_FORMATS("ListMetadataFormats"),
  @XmlEnumValue("ListSets")
  LIST_SETS("ListSets"),
  @XmlEnumValue("GetRecord")
  GET_RECORD("GetRecord"),
  @XmlEnumValue("ListIdentifiers")
  LIST_IDENTIFIERS("ListIdentifiers"),
  @XmlEnumValue("ListRecords")
  LIST_RECORDS("ListRecords");

  private final String value;

  VerbType(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static VerbType fromValue(String v) {
    for (VerbType c : VerbType.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
